package com.weilab.biology.config;

import com.weilab.biology.service.JobService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;


@Configuration
@EnableScheduling
@Slf4j
public class StaticScheduleTask {

    @Autowired
    private JobService jobService;

    /**
     * 一分钟执行一次
     */
    @Scheduled(fixedRate = 60 * 1000L)
    public void crawlStudyRoomFrequently() {
        jobService.runJob();
    }

}
