package com.weilab.biology.core.data.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 应用配置信息
 * </p>
 *
 * @author skyyemperor
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("app_config")
public class AppConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 应用ID
     */
    @TableId(value = "app_id", type = IdType.AUTO)
    private Integer appId;

    /**
     * 应用名
     */
    @TableField("app_name")
    private String appName;

    /**
     * 并发数
     */
    @TableField("concurrent_num")
    private Integer concurrentNum;

    /**
     * 命令行
     */
    @TableField("cmd")
    private String cmd;

    /**
     * 任务超时时间(单位:分钟)
     */
    @TableField("timeout")
    private Long timeout;

    /**
     * 放置文件的路径
     */
    @TableField("local_path")
    private String localPath;

    /**
     * 邮件格式(json格式:{"subject":"**","success":"**","waiting":"**".....})
     * 参照com.weilab.biology.core.data.enums.JobStatusEnum
     */
    @TableField("email_template")
    private String emailTemplate;


}
